var _Message = {}

_Message.messages = [];

_Message.add = function(type, msg_text){
  var msg = {type: type, text: msg_text};
  _Message.messages.push(msg);
  };

_Message.addSuccess = function(msg_text){
  _Message.add('success', msg_text);
  };
  
_Message.addNotification = function(msg_text){
  _Message.add('notification', msg_text);
  };

_Message.addError = function(msg_text){
  _Message.add('error', msg_text);
  };

_Message.remove = function(index){
  _Message.messages.splice(index,1);
  };

export default _Message;